Overview | Package | Class | Deprecated | Index | Help
| Groovy Documentation
| FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.codehaus.groovy.grails.domain
[Java] Class GrailsDomainClassPersistentProperty

    java.lang.Object
      org.codehaus.groovy.grails.domain.GrailsDomainClassPersistentProperty

All Implemented Interfaces:
  org.grails.datastore.mapping.model.PersistentProperty

    @java.lang.SuppressWarnings("rawtypes")
    public class GrailsDomainClassPersistentProperty
    extends java.lang.Object

Bridges a GrailsDomainClassProperty to the org.grails.datastore.mapping.model.PersistentProperty interface.

Authors:
  Graeme Rocher

Since:
  1.0

Constructor Summary
`GrailsDomainClassPersistentProperty(org.grails.datastore.mapping.model.PersistentEntity owner, GrailsDomainClassProperty property)`

Method Summary
`java.lang.String` | `getCapitilizedName()`
`org.grails.datastore.mapping.model.PropertyMapping` | `getMapping()`
`java.lang.String` | `getName()`
`org.grails.datastore.mapping.model.PersistentEntity` | `getOwner()`
`java.lang.Class` | `getType()`
`boolean` | `isNullable()`

Methods inherited from class java.lang.Object
java.lang.Object#wait(long, int), java.lang.Object#wait(long), java.lang.Object#wait(), java.lang.Object#equals(java.lang.Object), java.lang.Object#toString(), java.lang.Object#hashCode(), java.lang.Object#getClass(), java.lang.Object#notify(), java.lang.Object#notifyAll()

Constructor Detail

### GrailsDomainClassPersistentProperty

    public GrailsDomainClassPersistentProperty(org.grails.datastore.mapping.model.PersistentEntity owner, GrailsDomainClassProperty property)

Method Detail

### getCapitilizedName

    public java.lang.String getCapitilizedName()

### getMapping

    public org.grails.datastore.mapping.model.PropertyMapping getMapping()

### getName

    public java.lang.String getName()

### getOwner

    public org.grails.datastore.mapping.model.PersistentEntity getOwner()

### getType

    public java.lang.Class getType()

### isNullable

    public boolean isNullable()

Groovy Documentation